Subject: question about cpm_uart_cpm2.c "Section mismatch in reference from the function cpm_uart_allocbuf"

From: xiaokun <[email-masked]>
Date: Wed, 5 May 2010 19:19:18 +0800

I am using MPC8272ADS_20080623-ltib.iso from freescale

The Linux Kernel is 2.6.25.

When I make uImage, the error message is :

WARNING: vmlinux.o(.text+0x159450): Section mismatch in reference from the function cpm_uart_allocbuf() to the function .init.text:__alloc_bootmem()
The function cpm_uart_allocbuf() references
the function __init __alloc_bootmem().
This is often because cpm_uart_allocbuf lacks a __init
annotation or the annotation of __alloc_bootmem is wrong.

It seems that "drivers\serial\cpm_uart\cpm_uart_cpm2.c" needs to be patched.
How to find the patch?
How to search in  the collection of prior postings to this mail list?
I am a newbie.
Thanks for help!

________________________________
本电子邮件及附件都属机密文件，并且仅供标明地址的个人或团体使用。
如果本电子邮件与您无关，请删除全部原始信息（包括任何原始信息的备份），并通知发件人。
This email and its attachments may be confidential and are intended solely for the use of the individual to whom it is addressed.
If you are not the intended recipient of this email and its attachments, you must take no action based upon them, nor must you copy or show them to anyone. Please contact the sender if you believe you have received this email in error.